Bug 186493 - yumdownloader --source should enable source repositories by default
yumdownloader --source should enable source repositories by default
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 16:00 EST by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 08:50:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2006-03-23 16:00:38 EST
Description of problem:

When one tries to use yumdownloader to download SRPMS with the default
configuration the result is that no packages are found. Only after enabling the
source repositories in the yum.repos.d/ can one actually make use of the
--source switch.

Version-Release number of selected component (if applicable):

yum-utils-0.5-1

How reproducible:

every time

Steps to Reproduce:
1. install yum-utils
2. yumdownloader --source [name of package]
  
Actual results:

yumdownloader returns "No Match for argument [name of query]

Expected results:
Yumdownloader should automatically enable the source repositories for Core and
Extras when one uses the --source switch resulting the downloading the SRPM.
Comment 1 Joni Yrjana 2006-03-25 07:04:27 EST
That, or --enablerepo= commandline parameter as in yum, would be nice.
Comment 2 Tim Lauridsen 2007-02-14 08:50:37 EST
in yum 3.1.1(FC7) there have been include some changes there make it possible
for  the yum-utils to inherit the commandline options from yum-cli, I'm working
on new yumdownloader there add options like '--enablerepo'.
It will be available in a future yum-utils-1.1.x release for FC7.
I don't think automatic source repo enabling is a good idea, it is up to the
user to select the repos to be enabled.

Note You need to log in before you can comment on or make changes to this bug.